<?php
session_start();
//This class is dedicated to functions within the account database.
//Anything that returns -1 should be concidered INVALID or NO.
include('class.sql.php');

//ACCOUNT CLASS
$sql = new sql();
$account_mypc = new account_mypc($sql);
class account_mypc{
	//Vars
	////////////////////////////////////////
	var $AccessLevel;
	var $Color;
	var $IP;
	var $Server;
	var $Region;
	var $Active;
	var $RecoveryKey;
	//GetPrivacy($key);
	//GetStatPrivacy($key);
	//AuthorizeUser($username,$password);

	//Functions
	////////////////////////////////////////
	function __construct(sql $sql){
		$this->sql=$sql;
		$this->AccessLevel=$this->GetAccessLevel();
		$this->Color=$this->GetColor();
		$this->IP=$this->GetIPAddress();
		$this->Server=$this->GetServer();
		$this->Region=$this->GetRegion();
		$this->Active=$this->AccountActive();
		$this->RecoveryKey=$this->GetRecoveryKey();
	}
	//Purpose: Returns AccessLevel to client.
	function GetAccessLevel(){
		$temp=$this->sql->GetAccessLevel($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_ACCESS_LEVEL;
		}
	}
	//Purpose: Returns site color information to client.
	function GetColor(){
		$temp=$this->sql->GetColor($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_COLOR;
		}
	}
	//Purpose: Returns IP Address of last known login to client.
	function GetIPAddress(){
		$temp=$this->sql->GetIPAddress($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_IPADDRESS;
		}
	}
	//Purpose: Returns account selected game server to client.
	function GetServer(){
		$temp=$this->sql->GetServer($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_SERVER;
		}
	}
	//Purpose: Returns account region to client.
	function GetRegion(){
		$temp=$this->sql->GetRegion($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_REGION;
		}
	}
	//Purpose: Returns if account is active or not.
	function AccountActive(){
		$temp=$this->sql->AccountActive($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_ACTIVE;
		}
	}
	//Purpose: Returns the accounts 'recovery key' for password recovery.
	function GetRecoveryKey(){
		$temp=$this->sql->GetRecoveryKey($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_RECOVERYKEY;
		}
	}
	//Purpose: Returns privacy to client. NOTE: Different key's return different privacy settings.
		//KEY1 - family level view in profile
		//KEY2 - family clan view in profile
		//KEY3 - family char list view in profile
		//KEY4 - client mod updates
		//KEY5 - signature view in profile
		//KEY6 - group sig(s) view in profile
	function GetPrivacy($key){
		$temp=$this->sql->GetPrivacy($_SESSION['id'],$key);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_PRIVACY;
		}
	}
	//Purpose: Returns stat privacy to client. NOTE: Different key's return different privacy settings.
		//KEY1 - show base stats in profile
		//KEY2 - show atk stats in profile
		//KEY3 - show def stats in profile
		//KEY4 - show res stats in profile
	function GetStatPrivacy($key){
		$temp=$this->sql->GetStatPrivacy($_SESSION['id'],$key);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_STAT_PRIVACY;
		}
	}
	//Purpose: Attempt to authorize the user at request of the client.
	function AuthorizeUser($username,$password,$ip){
		$temp=$this->sql->AuthorizeClient($username,$password,$ip);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_ACC_AUTH_USER;
		}
	}
};
?>