<?php
session_start();
//This class is dedicated to functions within the account database reguarding family information.
//Anything that returns -1 should be concidered INVALID or NO.

//FAMILY CLASS
$family_mypc = new family_mypc($sql);
class family_mypc{
	//Vars
	////////////////////////////////////////
	var $Family_Name;
	var $Family_Level;
	var $Family_EXP;
	var $Special_URL;
	var $Clan;
	var $Groups;
	var $Character_List;

	//Functions
	////////////////////////////////////////
	function __construct(sql $sql){
		$this->sql=$sql;
		$this->Family_Name=$this->GetFamilyName();
		$this->Family_Level=$this->GetFamilyLevel();
		$this->Family_EXP=$this->GetFamilyEXP();
		$this->Special_URL=$this->GetSpecialUrl();
		$this->Clan=$this->GetClan();
		$this->Groups=$this->GetGroups();
		$this->Character_List=$this->GetCharacterList();
	}
	//Purpose: Returns account family name to client.
	function GetFamilyName(){
		$temp=$this->sql->GetFamilyName($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_FAM_FAMILY_NAME;
		}
	}
	//Purpose: Returns account family level to client.
	function GetFamilyLevel(){
		$temp=$this->sql->GetFamilyLevel($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_FAM_FAMILY_LEVEL;
		}
	}
	//Purpose: Returns account family exp to client.
	function GetFamilyEXP(){
		$temp=$this->sql->GetFamilyEXP($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_FAM_FAMILY_EXP;
		}
	}
	//Purpose: Returns specified user profile URL to client.
	function GetSpecialUrl(){
		$temp=$this->sql->GetSpecialUrl($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_FAM_URL_NAME;
		}
	}
	//Purpose: Returns account family clan to client.
	function GetClan(){
		$temp=$this->sql->GetClan($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_FAM_CLAN;
		}
	}
	//Purpose: Returns account character groups to client.
	//NOTE: Always treat results as an array!
	function GetGroups(){
		$temp=$this->sql->GetGroups($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_FAM_GROUPS;
		}
	}
	//Purpose: Returns account list of characters.
	//NOTE: Always treat results as an array!
	function GetCharacterList(){
		$temp=$this->sql->GetCharacterList($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_FAM_CHARACTER_LIST;
		}
	}
};
?>