<?php
session_start();
//This class is dedicated to functions within the account database reguarding signature information.
//Anything that returns -1 should be concidered INVALID or NO.

//SIGNATURE CLASS
$signature_mypc = new signature_mypc($sql);
class signature_mypc{
	//Vars
	////////////////////////////////////////
	var $Signature_Exsists;
	var $Group_Signature_Exsists;
	var $Group_Signature_Size;
	var $Signature_Type;
	var $Signature_Top_Bar;

	//Functions
	////////////////////////////////////////
	function __construct(sql $sql){
		$this->sql=$sql;
		$this->Signature_Exsists=$this->GetSig();
		$this->Group_Signature_Exsists=$this->GetGrpSig();
		$this->Group_Signature_Size=$this->GetGrpSigSize();
		$this->Signature_Type=$this->GetSigType();
		$this->Signature_Top_Bar=$this->InfoBarStatus();
	}
	//Purpose: Returns signature exist status, {0:no,1:yes}.
	function GetSig(){
		$temp=$this->sql->GetSig($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_SIG_SIG_EXISTS;
		}
	}
	//Purpose: Returns group signature exist status, {0:no,1:yes}.
	function GetGrpSig(){
		$temp=$this->sql->GetGrpSig($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_SIG_GRP_SIG_EXISTS;
		}
	}
	//Purpose: Returns group signature size limit, {0:20,1:70}.
	function GetGrpSigSize(){
		$temp=$this->sql->GetGrpSigSize($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_SIG_GRP_SIG_SIZE;
		}
	}
	//Purpose: Returns signature type, {0:jpg,1:png}.
	function GetSigType(){
		$temp=$this->sql->GetSigType($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_SIG_SIG_TYPE;
		}
	}
	//Purpose: Returns info bar (black header bar on signatures) existance status, {0:no,1:yes}.
	function GetInfoBarStatus(){
		$temp=$this->sql->InfoBarStatus($_SESSION['id']);
		if($temp!='-1'){
			return $temp;
		}else{
			return ERROR_SIG_INFO_BAR;
		}
	}
};
?>